| kspaceFirstOrder3D-OMP 1.0 The C++ implementation of the k-wave toolbox for the time-domain simulation of acoustic wave fields in 3D

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
TBaseMatrix Class Reference

Abstract base class, the common ancestor defining the common interface and allowing derived classes to be allocated, freed and loaded from the file using the Matrix container.

`#include <BaseMatrix.h>`

Inheritance diagram for TBaseMatrix:
[legend]

List of all members.

## Public Member Functions
| TBaseMatrix ()
| Default constructor.
virtual struct TDimensionSizes | GetDimensionSizes () const =0
| Get dimension sizes of the matrix.
virtual size_t | GetTotalElementCount () const =0
| Get total element count of the matrix.
virtual size_t | GetTotalAllocatedElementCount () const =0
| Get total allocated element count (might differ from total element count used for the simulation because of padding).
virtual void | ReadDataFromHDF5File (THDF5_File &HDF5_File, const char *MatrixName)
| Read matrix from the HDF5 file.
virtual void | WriteDataToHDF5File (THDF5_File &HDF5_File, const char *MatrixName, const int CompressionLevel)
| Write data into the HDF5 file.
virtual | ~TBaseMatrix ()
| Destructor.

## Detailed Description

Definition at line 47 of file BaseMatrix.h.

## Member Function Documentation

virtual void TBaseMatrix::ReadDataFromHDF5File | ( | THDF5_File & | HDF5_File,
|  | const char * | MatrixName
| ) |  | `[inline, virtual]`

Read matrix from the HDF5 file

Parameters:

  [in] | HDF5_File | - Handle to the HDF5 file
  [in] | MatrixName | - HDF5 dataset name to read from

Reimplemented in TComplexMatrix, TLongMatrix, and TRealMatrix.

Definition at line 69 of file BaseMatrix.h.

virtual void TBaseMatrix::WriteDataToHDF5File | ( | THDF5_File & | HDF5_File,
|  | const char * | MatrixName,
|  | const int | CompressionLevel
| ) |  | `[inline, virtual]`

Write data into the HDF5 file

Parameters:

  HDF5_File | - Handle to the HDF5 file
  MatrixName | - HDF5 dataset name to write to
  CompressionLevel | - Compression level for the HDF5 dataset

Reimplemented in TComplexMatrix, TLongMatrix, and TRealMatrix.

Definition at line 78 of file BaseMatrix.h.

The documentation for this class was generated from the following file:

- MatrixClasses/BaseMatrix.h

All Classes Files Functions Variables Typedefs Enumerations